Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- exports.searchUtils
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.Deferred
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ActionDescription
- orion.editor.Annotation
- orion.editor.AnnotationIterator
- orion.editor.AnnotationModel
- orion.editor.AnnotationRuler
- orion.editor.AnnotationStyler
- orion.editor.AnnotationType
- orion.editor.AnnotationTypeList
- orion.editor.AsyncStyler
- orion.editor.BlurEvent
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.ContextMenuEvent
- orion.editor.DestroyEvent
- orion.editor.EditOptions
- orion.editor.Editor
- orion.editor.EventTarget
- orion.editor.FindIterator
- orion.editor.FindOptions
- orion.editor.FocusEvent
- orion.editor.FoldingAnnotation
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.KeyBinding
- orion.editor.LineNumberRuler
- orion.editor.LineStyleEvent
- orion.editor.ModelChangedEvent
- orion.editor.ModelChangingEvent
- orion.editor.ModifyEvent
- orion.editor.OverviewRuler
- orion.editor.Projection
- orion.editor.ProjectionTextModel
- orion.editor.regex
- orion.editor.Ruler
- orion.editor.ScrollEvent
- orion.editor.Selection
- orion.editor.SelectionEvent
- orion.editor.Style
- orion.editor.StyleRange
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.editor.TextModel
- orion.editor.TextView
- orion.editor.TextViewOptions
- orion.editor.UndoStack
- orion.editor.VerifyEvent
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.explorers.explorer-table.FileExplorer
- orion.explorers.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.form
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.objects
- orion.operation
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.PageLinks
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.Promise
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteEditor
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.URITemplate
- orion.util
- orion.webui.dialogs.OpenResourceDialog
- orion.webui.dialogs.OperationsDialog
- orion.widgets.Section
- orion.widgets.settings.SplitSelectionLayout
- orion.xhr
- orion.xhr.Result
- String

# Class orion.pluginregistry.PluginRegistry

The Orion plugin registry
Defined in: </shared/eclipse/e4/orion/I201302221257/plugins/org.eclipse.orion.client.core/web/orion/pluginregistry.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.pluginregistry.PluginRegistry(serviceRegistry, opt_storage, opt_visible) Creates a new plugin registry.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getPlugin() Returns the installed plugin with the given URL.
| getPlugins() Returns all installed plugins
| installPlugin(url, optManifest) Installs the plugin at the given location into the plugin registry
| startup() Starts the plugin registry
| stop() Shuts down the plugin registry

Event Summary
Event Attributes | Event Name and Description
--- | ---
| pluginInstalled(plugin) Dispatched when a plugin has been installed.
| pluginLoaded(plugin) Dispatched when a plugin has been loaded.
| pluginUninstalled(plugin) Dispatched when a plugin has been uninstalled.
| pluginUpdated(plugin) Dispatched when a plugin has been updated.

Class Detail
orion.pluginregistry.PluginRegistry(serviceRegistry, opt_storage, opt_visible)
Creates a new plugin registry.

Parameters:
{orion.serviceregistry.ServiceRegistry} serviceRegistry
  The service registry to register plugin-provided services with.
{Object} opt_storage Optional, Default: localStorage
  Target object to read and write plugin metadata from.
{Boolean} opt_visible Optional, Default: false
  Whether a loaded plugin's iframe will be displayed. By default it is not displayed.

Method Detail
{orion.pluginregistry.Plugin} getPlugin()
Returns the installed plugin with the given URL.

Returns:
  {orion.pluginregistry.Plugin} The installed plugin matching the given URL, or `null` if no such plugin is installed.

{orion.pluginregistry.Plugin[]} getPlugins()
Returns all installed plugins

Returns:
  {orion.pluginregistry.Plugin[]} An array of all installed plugins.

{orion.Promise} installPlugin(url, optManifest)
Installs the plugin at the given location into the plugin registry

Parameters:
{String} url
  The location of the plugin
{Object} optManifest Optional
  The plugin metadata

Returns:
  {orion.Promise} A promise that will resolve when the plugin has been installed.

startup()
Starts the plugin registry

Returns:
  A promise that will resolve when the registry has been fully started

stop()
Shuts down the plugin registry
Event Detail
pluginInstalled(plugin)
Dispatched when a plugin has been installed. The type of this event is `'pluginInstalled'`.

Parameters:
{orion.pluginregistry.Plugin} plugin
  The plugin that was installed.

pluginLoaded(plugin)
Dispatched when a plugin has been loaded. The type of this event is `'pluginLoaded'`.

Parameters:
{orion.pluginregistry.Plugin} plugin
  The plugin that was loaded.

pluginUninstalled(plugin)
Dispatched when a plugin has been uninstalled. The type of this event is `'pluginUninstalled'`.

Parameters:
{orion.pluginregistry.Plugin} plugin
  The plugin that was uninstalled.

pluginUpdated(plugin)
Dispatched when a plugin has been updated. The type of this event is `'pluginUpdated'`.

Parameters:
{orion.pluginregistry.Plugin} plugin
  The plugin that was updated.

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Feb 22 2013 13:00:53 GMT-0500 (EST)